//
//  LivenessErrorView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 30/06/2025.
//

import SwiftUI

struct LivenessErrorView: View {
    var body: some View {
        VStack(spacing: 24) {
            HStack {
                SQProgressIndicator(.constant(true))
                SQProgressIndicator(.constant(false))
                SQProgressIndicator(.constant(false))
            }
            SQIcon(.xmark, customSize: 60, color: .sqSemanticRed)
            SQText("Nous n’avons pas réussi à détecter votre visage.")
                .sqSize(20)
                .sqFont(.semiBold)
            SQText("Assurez-vous que les conditions d’éclairage sont bonnes et que votre téléphone est bien en face de vous.\nL’image ne doit pas être floue, coupée, ou présenter des reflets.")
            Spacer()
            SQButton("Recommencer") {

            }
        }
        .padding()
    }
}

#Preview {
    LivenessErrorView()
}
